package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.PracticeLessonApply;
import com.ym.mec.common.service.BaseService;

import java.util.Map;

public interface PracticeLessonApplyService extends BaseService<Integer, PracticeLessonApply>{

    /**
     * 根据学员编号获取陪练课申请
     * @param userId
     * @return
     */
    PracticeLessonApply findByUserId(Integer userId);

    /**
     * 预约人数列表页
     * @return
     */
    Map<String, Object> practiceSum();

    /**
     * 新增记录
     * @param memo
     * @return
     */
    void add(String memo);
}